from apscheduler.schedulers.asyncio import AsyncIOScheduler
from bot.operations.notifications import schedule_notifications


def setup_scheduler():
    """Настройка планировщика уведомлений."""
    print("Настройка планировщика...")
    scheduler = AsyncIOScheduler()
    scheduler.add_job(schedule_notifications, "cron", minute="*")
    return scheduler
